<ui:composition template="/WEB-INF/templates/layout.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	<ui:param name="title" value="Dashboard" />
	
	<ui:define name="content">
		<div class="layout-wrapper">
			<div class="layout">
				<div class="content-header">
					<h1>Hello, #{dashboardBacking.loggedInUser.firstName}!</h1>
				</div>
			
				<h:form id="dashboard" name="dashboard">
					<div class="dashboard-layout">
						<div class="p-grid">
							<div class="p-col-8 p-sm-12 p-md-12 p-lg-8">
								<div class="card overview-card">
									<h1>Overview</h1>
									<p>If you have tasks you will see them here as a donut chart.</p>
									<div class="chart-container">
										<p:donutChart id="taskStatusChart" model="#{dashboardBacking.donutModel}" styleClass="task-chart" />
									</div>
								</div>
							</div>
							<div class="p-col-4 p-sm-12 p-md-12 p-lg-4">
								<div class="card teams-card">
									<h1>Team members</h1>
									<p>You can see a list of your teammates if you're part of a team.</p>
									<div class="teams-container">
										<p:scrollPanel id="membersPanel" style="height:290px" mode="native">
											<ui:repeat var="member" value="#{dashboardBacking.teamMembers}">
												<div class="member">
													<div class="member-info">
														<p>#{member.firstName} #{member.lastName}</p>
														<p>#{member.email}</p>
													</div>
													<a href="mailto:#{member.email}" class="mailto-container">
														<i class="far fa-envelope link"></i>
													</a>
												</div>
												<p:separator />
											</ui:repeat>
										</p:scrollPanel>
									</div>
								</div>
							</div>
							<div class="p-col-12 p-sm-12 p-md-12 p-lg-12">
								<h:form id="userTasksForm">
									<div class="p-grid">
										<div class="card tasks-card">
											<h1>Tasks</h1>
											<p>You can see a list of all your tasks on this card.</p>							
											
											<p:dataTable id="userTasksTable" 
												value="#{dashboardBacking.tasksOfUser}" 
												var="userTask"
												paginator="true" 
												paginatorPosition="top" 
												rows="3"
												rowKey="#{userTask.id}">
												
												<p:column headerText="Name" sortBy="#{userTask.name}">
													<h:outputText value="#{userTask.name}" />
												</p:column>
												<p:column headerText="Priority" sortBy="#{userTask.priority.name}">
													<h:outputText value="#{userTask.priority.name}" />
												</p:column>
												<p:column headerText="Start Date" sortBy="#{userTask.startDate}">
													<h:outputText value="#{userTask.startDate}" />
												</p:column>
												<p:column headerText="Due date" sortBy="#{userTask.dueDate}">
													<h:outputText value="#{userTask.dueDate}" />
												</p:column>
												<p:column headerText="Status" sortBy="#{userTask.status.name}">
													<h:outputText value="#{userTask.status.name}" />
												</p:column>
											</p:dataTable>
										</div>
									</div>
								</h:form>
							</div>
						</div>
					</div>
				</h:form>
			</div>
		</div>
	</ui:define>

</ui:composition>